-------------------------------------------------------------------------------
--! @file       GF5M2.vhd
--! @author     Ahmed Ferozpuri
--! @brief      GF Multier 5bit x 2
-------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY GF5M2 IS
	PORT(	d_i : IN  std_logic_vector(4 DOWNTO 0);
			d_o : OUT  std_logic_vector(4 DOWNTO 0)
		);
END GF5M2;

ARCHITECTURE behavioral OF GF5M2 IS

SIGNAL tmp  : std_logic_vector(4 DOWNTO 0);
BEGIN

	tmp   <= (2|0 => d_i(4), OTHERS => '0');
	d_o  <= ((d_i(3 DOWNTO 0) & '0') XOR tmp);

END behavioral;